@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@600&display=swap');

.h1 {
  font-family: Kanit;
  font-weight: Bold;
  font-size: 2.875rem;
}
.h2 {
  font-family: Kanit;
  font-weight: Bold;
  font-size: 1.875rem;
}
.body1 {
  font-family: Roboto;
  font-weight: Regular;
  font-size: 1rem;
}
.body2 {
  font-family: Roboto;
  font-weight: Regular;
  font-size: 0.875rem;
}

#navbarItem1.text-light{
  margin-left: 1rem;
  margin-right: auto;
  transition: 0.3s;
}
#navbarItem2.text-light{
  padding-top: .5rem;
  margin-right: 1.5rem;
  transition: 0.3s;
}
#navbarItem3.text-light{
  padding-top: .5rem;
  margin-right: 1.5rem;
  transition: 0.3s;
}
#navbarItem4.text-light{
  padding-top: .5rem;
  margin-right: 1.5rem;
  transition: 0.3s;
}
#navbarItem5.text-light{
  padding-top: .5rem;
  margin-right: 1.5rem;
  transition: 0.3s;
}
#navbarItem6.text-light{
  padding-top: .5rem;
  margin-right: 1.5rem;
  transition: 0.3s;
}
#navbarItem7.text-light{
  padding-top: .5rem;
  margin-right: 1.5rem;
  transition: 0.3s;
}
#navbarItem8.text-light{
  padding-top: .5rem;
  margin-right: 1.5rem;
  transition: 0.3s;
}
#navbarItem9.text-light{
  padding-top: .5rem;
  margin-right: 1.5rem;
  transition: 0.3s;
}

#bg.container {
  padding: 0;
  margin: 0;
  min-width: 100vw;
}

#navbar.d-flex{
  padding: 1.5rem;
  padding-bottom: 0;
  background-color:rgba(12,28,33,1);
}

#body.container{
  padding: 0;
  margin: 0;
  width: 100vw;
}

#body.container .d-flex {
  padding: 0;
  margin: 0;
  width: 100vw;
  background-color: rgba(12,28,33,1);
  flex-direction: row;
}

.bodytext {
  padding: 0;
  margin: 0;
  margin-left: auto;
  padding-top: 8.5rem;
  width: 45%;
  margin-right: 8rem;
}

.bg-img {
  background-color: rgba(19,45,52,1);
  /* width: 26.5rem;
  height: 33rem; */
  width: 22.75rem;
  height: 32rem;
  margin-right: auto;
  margin-top: 6.4rem;
  position: relative;
}

.imgme {
  background-image: url("../img/rsz_bg_me_jakun_hd.png");
  width: 26.5rem;
  height: 30.5rem;
  margin-left: -1.75rem;
  margin-right: auto;
  margin-top: 2rem;
  background-repeat: no-repeat;
  background-size: cover;
  position: absolute;
}

.subscribe-email .contact-us {
  width: 8.5rem;
}

.subscribe-email {
  color: rgba(242,242,242,1);
  margin-top: 12.75rem;
  margin-left: auto;
  margin-right: 8.2rem;
  letter-spacing: -0.025rem;
}

.subscribe-email .h2 {
  margin-left: 13.85rem;
}

.subscribe-email input[type=text] {
  background: rgba(242,242,242,1);
  color: rgb(13, 13, 13);
  margin-left: 13.85rem;
  margin-top: 1.4rem; 
  /* font-weight: bold; */
  padding: 0.6rem;
  width: 26.75rem;
  height: 2.75rem;
  border-radius: 0.1875rem;
  border: none;
}

.subscribe-email input[type=text]:focus {
  outline: none;
}

.subscribe-email .contact-us {
  margin-left: 13.85rem;
}

#body.container #subscribe {
  display: flex;
  flex-flow: row wrap;
}

#subscribe.bg-img {
  background-color: rgba(19,45,52,1);
  width: 22.75rem;
  height: 32rem;
  margin-left: 0;
  margin-right: auto;
  margin-top: 6.4rem;
  position: relative;
}

#subscribe.bg-img .imgme {
  background-image: url("../img/rsz_bg_me_jakun_hd.png");
  width: 26.5rem;
  height: 30.5rem;
  margin-left: -1.75rem;
  margin-right: auto;
  margin-top: 2rem;
  background-repeat: no-repeat;
  background-size: cover;
  position: absolute;
}


#body.container .d-flex .bodytext .d-flex {
  padding: 0;
  margin: 0;
  width: 0;
  order: 3;
}

.contact-us {
  display: flex;
  flex-flow: row;
  padding: 0;
  margin: 0;
  margin-top: 1.25rem;
}

.email-container {
  display: flex;
  background: rgba(255,128,0,1);
  border-radius: 0.1875rem;
  width: 8.5rem;
  height: 3.5rem;
  padding: 0;
  margin: 0;
  transition: 0.3s;
}

.email-container:hover {
  background: rgb(204, 102, 0);
}

.email-container:hover .body1{
  color: rgb(204, 204, 204);
}

.email-container .body1 {
  color: rgba(242,242,242,1);
  padding-top: 1.2rem;
  margin-left: 0.25rem;
  transition: 0.3s;
}

.email-container .email-logo {
  background-image: url("../img/email.png");
  background-repeat: no-repeat;
  margin-left: 1rem;
  margin-top: 1.2rem;
  width: 2rem;
  height: 1.5rem;
}

.instagram-logo {
  background: none;
  color: rgba(242,242,242,1);
  background-repeat: no-repeat;
  margin-top: 0.75rem;
  margin-left: 2rem;
  text-decoration: none;
  transition: 0.3s;
}

.fa-instagram:hover {
  color: rgb(204, 204, 204);
  text-decoration: none;
}

.whatsapp-logo {
  background-repeat: no-repeat;
  color: rgba(242,242,242,1);
  margin-top: 0.75rem;
  margin-left: 2rem;
  text-decoration: none;
  transition: 0.3s;
}

.fa-whatsapp:hover {
  color: rgb(204, 204, 204);
  text-decoration: none;
}

.edu-ui {
  display: flex;
  flex-flow: row;
  padding: 0;
  margin: 0;
}

.edu-ui .ui-logo {
  width: 6rem;
  height: 6.5rem;
  background: url("../img/ui.png");
  background-repeat: no-repeat;
  background-size: cover;
  margin-top: 1rem;
  margin-left: 3.75rem;
}

.ui-desc {
  display: flex;
  flex-flow: column;
  margin-left: 2rem;
  margin-top: 1rem;
}

.visit-web .fa-link {
  margin-top: 0.35rem;
  color:rgba(175,175,173,1);
  margin-right: 0.25rem;
  transition: 0.3s;
}

.visit-web:hover .fa-link {
  color:rgba(135,135,133,1);
}

.visit-web .web{
  color: rgba(242,242,242,1); 
  text-decoration: none;
  transition: 0.3s;
}

.visit-web:hover .web{
  color: rgb(204, 204, 204);
}

.edu-ui .sma48-logo {
  width: 6rem;
  height: 6rem;
  background: url("../img/sma48.png");
  background-repeat: no-repeat;
  background-size: cover;
  margin-top: 1rem;
  margin-left: 3.75rem;
}

.edu-ui .wlc-logo {
  width: 6rem;
  height: 6rem;
  background: url("../img/wlc.png");
  background-repeat: no-repeat;
  background-size: cover;
  margin-top: 1rem;
  margin-left: 3.75rem;
}

.bodytext .h2 {
  color: rgba(255,128,0,1); 
  margin-bottom: 0.1rem; 
  letter-spacing: -0.025rem;
}
.bodytext .h1 {
  color: rgba(242,242,242,1); 
  line-height: 4.25rem; 
  letter-spacing: -0.025rem; 
  margin-bottom: 1rem
}
.bodytext .body1 {
  color: rgba(175,175,173,1); 
  line-height: 1.25rem;
}

.home-blank {
  margin-bottom: 9rem;
}
.subscribe-blank {
  margin-bottom: 82rem;
}


@media (max-width: 1281px) {
  #subscribe.bg-img {
    width: 20.75rem;
    height: 30rem;
    margin-left: 0;
    margin-right: auto;
    margin-top: 6.4rem;
  }
  
  #subscribe.bg-img .imgme {
    width: 24.5rem;
    height: 28.5rem;
    margin-left: -1.75rem;
    margin-right: auto;
    margin-top: 2rem;
  }
  .subscribe-email {
    margin-right: auto;
  }
  .subscribe-email .h2 {
    margin-left: 0rem;
  }
  .subscribe-email input[type=text] {
    margin-left: 0rem;
  }
  .subscribe-email .contact-us {
    margin-left: 0rem;
  }
  .bodytext {
    padding: 0;
    margin: 0;
    margin-right: 8rem;
    margin-left: auto;
    padding-top: 7.25rem;
    background-color: rgba(12,28,33,1);
    width: 45%;
    margin-right: 2rem;
  }
  .bg-img {
    margin-right: auto;
    margin-top: 8rem; 
  }
}

@media (max-width: 769px) {
  .home-blank {
    margin-bottom: 2rem;
    order: 3;
  }
  .subscribe-blank {
    margin-bottom: 45rem;
    order: 3;
  }
  .subscribe-email {
    order: 2;
    margin-top: 2rem;
  }
  #subscribe.bg-img {
    width: 26.5rem;
    height: 15rem;
    margin-right: auto;
    margin-left: auto;
    margin-top: 1.5rem;
    order: 1;
  }
  #subscribe.bg-img .imgme{
    width: 13rem;
    height: 15rem;
    margin-left: 7rem;
    margin-right: auto;
    margin-top: 0rem;
  }
  #body.container #subscribe {
    display: flex;
    flex-flow: column;
  }
  .bg-img {
    background-color: rgba(19,45,52,1);
    width: 30rem;
    height: 15rem;
    margin-right: auto;
    margin-left: auto;
    margin-top: 1.5rem; 
    order: 1;
  }
  .imgme {
    background-image: url("../img/rsz_bg_me_jakun_hd.png");
    width: 13rem;
    height: 15rem;
    margin-left: 8.5rem;
    margin-right: auto;
    margin-top: 0rem;
    background-repeat: no-repeat;
    background-size: cover;
    position: absolute;
  }
  #edu.h2 {
    font-family: Kanit;
    font-weight: Bold;
    font-size: 1.5rem;
  }
  #body.container .d-flex {
    flex-direction: column;
  }
  .bodytext {
    padding: 0;
    margin: 0;
    margin-right: auto;
    margin-left: auto;
    padding-top: 1rem;
    background-color: rgba(12,28,33,1);
    width: 30rem;
    order: 2;
  }
  .bodytext .h2 {
    font-family: Kanit;
    font-weight: Bold;
    font-size: 1.25rem;
  }
  .bodytext .h1 {
    font-family: Kanit;
    font-weight: Bold;
    font-size: 2rem;
    line-height: 2rem;
  }
  .bodytext .body1 {
    font-family: Roboto;
    font-weight: Regular;
    font-size: 1rem;
  }
}

@media (max-width: 577px) {
  .home-blank {
    margin-bottom: 2rem;
    order: 3;
  }
  .subscribe-blank {
    margin-bottom: 18rem;
    order: 3;
  }
  .subscribe-email .h2 {
    margin-left: 2rem;
    margin-right: 2rem;
  }
  .subscribe-email input[type=text] {
    margin-left: 2rem;
    margin-right: 2rem;
    width: 84vw;
  }
  .subscribe-email .contact-us {
    margin-left: 2rem;
    margin-right: 2rem;
  }
  #body.container #subscribe {
    flex-flow: row;
  }
  #subscribe.bg-img {
    width: 84%;
    margin-right: 2rem;
    margin-left: 2rem;
    margin-top: 1.5rem; 
    order: 1;
    display: flex;
    flex-flow: row;
    justify-content: center;
    position: relative;
  }
  #subscribe.bg-img .imgme {
    background-image: url("../img/rsz_bg_me_jakun_hd.png");
    background-repeat: no-repeat;
    background-size: cover;
    margin: 0;
    width: 13rem;
    height: 15rem;
    margin: 0;
  }
  .bg-img {
    background-color: rgba(19,45,52,1);
    margin-right: 2rem;
    margin-left: 2rem;
    margin-top: 1.5rem; 
    width: 84%;
    height: 15rem;
    position: relative;
    order: 1;
    display: flex;
    flex-flow: row;
    justify-content: center;
  }
  .imgme {
    background-image: url("../img/rsz_bg_me_jakun_hd.png");
    background-repeat: no-repeat;
    background-size: cover;
    width: 13rem;
    height: 15rem;
    margin: 0;
    margin-top: 0rem;
  }
  .ui-desc {
    display: flex;
    flex-flow: column;
    margin-left: 2rem;
    margin-top: 1rem;
  }
  .edu-ui .ui-logo {
    width: 6rem;
    height: 6.5rem;
    background: url("../img/ui.png");
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 1rem;
    margin-left: 0;
  }
  .edu-ui .sma48-logo {
    width: 6rem;
    height: 6rem;
    background: url("../img/sma48.png");
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 1rem;
    margin-left: 0;
  }
  .edu-ui .wlc-logo {
    width: 6rem;
    height: 6rem;
    background: url("../img/wlc.png");
    background-repeat: no-repeat;
    background-size: cover;
    margin-top: 1rem;
    margin-left: 0;
  }
  .bodytext .h2 {
    font-family: Kanit;
    font-weight: Bold;
    font-size: 1.25rem;
  }
  .bodytext .h1 {
    font-family: Kanit;
    font-weight: Bold;
    font-size: 1.75rem;
    line-height: 1.5rem;
    
  }
  .bodytext .body1 {
    font-family: Roboto;
    font-weight: Regular;
    font-size: 1rem;
  }
  #body.container{
    padding: 0;
    margin: 0;
    min-width: 100vw;
  }
  #navbarItem1.text-light, #navbarItem2.text-light, #navbarItem3.text-light, #navbarItem4.text-light {
    width: 100%;
    margin: 0;
    margin-bottom: 1rem;
    padding: 0;
    text-align: center;
  }
  .bodytext {
    padding: 0;
    margin: 0;
    margin-right: 2rem;
    margin-left: 2rem;
    padding-top: 1rem;
    background-color: rgba(12,28,33,1);
    width: 84%;
    order: 2;
  }
  #bg.container {
    padding: 0;
    margin: 0;
    min-width: 100%;
  }
  #body.container{
    padding: 0;
    margin: 0;
    width: 100%;
  }
}

@media (max-width: 426px) {
  .edu-ui {
    flex-flow: column wrap;
  }
  .ui-desc {
    margin-left: 0;
  }
}

/* IPhone 5/SE */
@media (max-width: 321px) {
  .subscribe-email input[type=text] {
    width: 80%;
  }
}

/* Galaxy Fold */
@media (max-width: 281px) {
  .subscribe-email input[type=text] {
    width: 77%;
  }
}